
## AKP06 model driver for Octave

AKP06_defs = "AKP06.m";

autoload ("AKP06", AKP06_defs );
autoload ("AKP06_init", AKP06_defs );

AKP06_init; 

y0 = AKP06_init(-68)

t0 = 0.0;
t1 = 500.0;
dt = 1e-3;

reltol=1e-1;
abstol=1e-2;

lsode_options("absolute tolerance", abstol);
lsode_options("relative tolerance", reltol);
lsode_options("integration method", "bdf");

t = linspace(t0,t1,(t1-t0)/dt)';
sol = lsode (@AKP06, y0, t);
ys = [t sol];
